open output c:\rats\urfor97\ur97f02a.out

bma global 1000
bma data 1000

*
*Forecast period: 1980:1-1995:1
*

*
*AR(2) vs. CDR forecasts
*

cal 1948 1 4 
all 0 200
change copy 0

open data urfor97\lhur.rat
data(format=rats)  1948:1 1995:1 ur
close data


ieval iest1 = 1949:3
ieval iest2 = 1979:4
ieval ifor1 = 1980:1
ieval ifor2 = 1995:1
ieval numf1 = (ifor2-ifor1)+1
display numf1



*
*Initialize variables for CDR forecasts
*
smpl ifor1 ifor2
set cdrf1 = 0.0
set cdrf2 = 0.0
set cdrf3 = 0.0
set cdrf4 = 0.0
set cdrf5 = 0.0
set cdrf6 = 0.0
set cdrf7 = 0.0
set cdrf8 = 0.0
set cdrf9 = 0.0
set cdrf10 = 0.0

*
*Set up CDR
*

smpl 1948:1 ifor2
set cdr = 0.0
do t=(iest1-1),ifor2
   eval min = ur(t-5)
   do i=t-4,t
      If (ur(i) .le. min)
         {
          eval min = ur(i)          
          }
   end do i
   eval cdr(t) = min - ur(t)
end do t

eval ecdr = 0.0

smpl iest1 ifor2
linreg ur iest1 iest2
# constant ur{1} ur{2} cdr{1}
do t = iest2,(ifor2-1)
   display(unit=copy) 'value of t for cdr:' t

   eval cdrf1(t+1) = beta(1) + beta(2)*ur(t) + $
                     beta(3)*ur(t-1) + beta(4)*cdr(t)

   eval min = ur(t-4)
   do i=(t-3),t
      If (ur(i) .le. min)
         {
          eval min = ur(i)          
          }
   end do i
   If (cdrf1(t+1) .le. min)
       {
         eval min = cdrf1(t+1)
         }
   eval  ecdr = min - cdrf1(t+1)

   eval cdrf2(t+1) = beta(1) + beta(2)*cdrf1(t+1) + $
                     beta(3)*ur(t) + beta(4)*ecdr

   eval min = ur(t-3)
   do i=(t-2),t
      If (ur(i) .le. min)
         {
          eval min = ur(i)          
          }
   end do i
   If (cdrf1(t+1) .le. min)
       {
         eval min = cdrf1(t+1)
         }
   If (cdrf2(t+1) .le. min)
       {
         eval min = cdrf2(t+1)
         }
   eval  ecdr = min - cdrf2(t+1)

   eval cdrf3(t+1) = beta(1) + beta(2)*cdrf2(t+1) + $
                     beta(3)*cdrf1(t+1) + beta(4)*ecdr

   eval min = ur(t-2)
   do i=(t-1),t
      If (ur(i) .le. min)
         {
          eval min = ur(i)          
          }
   end do i
   If (cdrf1(t+1) .le. min)
       {
         eval min = cdrf1(t+1)
         }
   If (cdrf2(t+1) .le. min)
       {
         eval min = cdrf2(t+1)
         }
   If (cdrf3(t+1) .le. min)
       {
         eval min = cdrf3(t+1)
         }
   eval  ecdr = min - cdrf3(t+1)

   eval cdrf4(t+1) = beta(1) + beta(2)*cdrf3(t+1) + $
                     beta(3)*cdrf2(t+1) + beta(4)*ecdr

   eval min = ur(t-1)
   do i=(t-0),t
      If (ur(i) .le. min)
         {
          eval min = ur(i)          
          }
   end do i
   If (cdrf1(t+1) .le. min)
       {
         eval min = cdrf1(t+1)
         }
   If (cdrf2(t+1) .le. min)
       {
         eval min = cdrf2(t+1)
         }
   If (cdrf3(t+1) .le. min)
       {
         eval min = cdrf3(t+1)
         }
   If (cdrf4(t+1) .le. min)
       {
         eval min = cdrf4(t+1)
         }
   eval  ecdr = min - cdrf4(t+1)

   eval cdrf5(t+1) = beta(1) + beta(2)*cdrf4(t+1) + $
                     beta(3)*cdrf3(t+1) + beta(4)*ecdr

   eval min = ur(t)
   If (cdrf1(t+1) .le. min)
       {
         eval min = cdrf1(t+1)
         }
   If (cdrf2(t+1) .le. min)
       {
         eval min = cdrf2(t+1)
         }
   If (cdrf3(t+1) .le. min)
       {
         eval min = cdrf3(t+1)
         }
   If (cdrf4(t+1) .le. min)
       {
         eval min = cdrf4(t+1)
         }
   If (cdrf5(t+1) .le. min)
       {
         eval min = cdrf5(t+1)
         }
   eval  ecdr = min - cdrf5(t+1)

   eval cdrf6(t+1) = beta(1) + beta(2)*cdrf5(t+1) + $
                     beta(3)*cdrf4(t+1) + beta(4)*ecdr

    eval min = cdrf1(t+1)
    If (cdrf2(t+1) .le. min)
       {
         eval min = cdrf2(t+1)
         }
   If (cdrf3(t+1) .le. min)
       {
         eval min = cdrf3(t+1)
         }
   If (cdrf4(t+1) .le. min)
       {
         eval min = cdrf4(t+1)
         }
   If (cdrf5(t+1) .le. min)
       {
         eval min = cdrf5(t+1)
         }
   If (cdrf6(t+1) .le. min)
       {
         eval min = cdrf6(t+1)
         }
   eval  ecdr = min - cdrf6(t+1)

   eval cdrf7(t+1) = beta(1) + beta(2)*cdrf6(t+1) + $
                     beta(3)*cdrf5(t+1) + beta(4)*ecdr

   eval min = cdrf2(t+1)
   If (cdrf3(t+1) .le. min)
       {
         eval min = cdrf3(t+1)
         }
   If (cdrf4(t+1) .le. min)
       {
         eval min = cdrf4(t+1)
         }
   If (cdrf5(t+1) .le. min)
       {
         eval min = cdrf5(t+1)
         }
   If (cdrf6(t+1) .le. min)
       {
         eval min = cdrf6(t+1)
         }
   If (cdrf7(t+1) .le. min)
       {
         eval min = cdrf7(t+1)
         }
   eval  ecdr = min - cdrf7(t+1)

   eval cdrf8(t+1) = beta(1) + beta(2)*cdrf7(t+1) + $
                     beta(3)*cdrf6(t+1) + beta(4)*ecdr

   eval min = cdrf3(t+1)
   If (cdrf4(t+1) .le. min)
       {
         eval min = cdrf4(t+1)
         }
   If (cdrf5(t+1) .le. min)
       {
         eval min = cdrf5(t+1)
         }
   If (cdrf6(t+1) .le. min)
       {
         eval min = cdrf6(t+1)
         }
   If (cdrf7(t+1) .le. min)
       {
         eval min = cdrf7(t+1)
         }
   If (cdrf8(t+1) .le. min)
       {
         eval min = cdrf8(t+1)
         }
   eval  ecdr = min - cdrf8(t+1)

   eval cdrf9(t+1) = beta(1) + beta(2)*cdrf8(t+1) + $
                     beta(3)*cdrf7(t+1) + beta(4)*ecdr

   eval min = cdrf4(t+1)
   If (cdrf5(t+1) .le. min)
       {
         eval min = cdrf5(t+1)
         }
   If (cdrf6(t+1) .le. min)
       {
         eval min = cdrf6(t+1)
         }
   If (cdrf7(t+1) .le. min)
       {
         eval min = cdrf7(t+1)
         }
   If (cdrf8(t+1) .le. min)
       {
         eval min = cdrf8(t+1)
         }
   If (cdrf9(t+1) .le. min)
       {
         eval min = cdrf9(t+1)
         }
   eval  ecdr = min - cdrf9(t+1)

   eval cdrf10(t+1) = beta(1) + beta(2)*cdrf9(t+1) + $
                     beta(3)*cdrf8(t+1) + beta(4)*ecdr

   linreg(noprint) ur iest1 (t+1)
   # constant ur{1} ur{2} cdr{1}

end do t




*
*Calculate AR(p) forecasts
*

*
*Initialize forecasts
*

smpl ifor1 ifor2

set arf21 = 0.0
set arf22 = 0.0
set arf23 = 0.0
set arf24 = 0.0
set arf25 = 0.0
set arf26 = 0.0
set arf27 = 0.0
set arf28 = 0.0
set arf29 = 0.0
set arf210 = 0.0





*
*Do forecasts with reestimation for AR(2) model
*
smpl 1948:1 ifor2
linreg ur iest1 iest2
# constant ur{1} ur{2}
do t = iest2,(ifor2-1)
   display(unit=copy) 'value of t for ar(2):' t

   eval arf21(t+1) = beta(1) + beta(2)*ur(t) + beta(3)*ur(t-1)
   eval arf22(t+1) = beta(1) + beta(2)*arf21(t+1) + beta(3)*ur(t)
   eval arf23(t+1) = beta(1) + beta(2)*arf22(t+1) + beta(3)*arf21(t+1)
   eval arf24(t+1) = beta(1) + beta(2)*arf23(t+1) + beta(3)*arf22(t+1)
   eval arf25(t+1) = beta(1) + beta(2)*arf24(t+1) + beta(3)*arf23(t+1)
   eval arf26(t+1) = beta(1) + beta(2)*arf25(t+1) + beta(3)*arf24(t+1)
   eval arf27(t+1) = beta(1) + beta(2)*arf26(t+1) + beta(3)*arf25(t+1)
   eval arf28(t+1) = beta(1) + beta(2)*arf27(t+1) + beta(3)*arf26(t+1)
   eval arf29(t+1) = beta(1) + beta(2)*arf28(t+1) + beta(3)*arf27(t+1)
   eval arf210(t+1) = beta(1) + beta(2)*arf29(t+1) + beta(3)*arf28(t+1)
   linreg(noprint) ur iest1 (t+1)
   # constant ur{1} ur{2}
end  do t




*
*Initialize forecast errors for CDR and AR(2) models
*
*  "eei(t)" stands for CDR errors at forecast step i
*  "eap2(t)" stands for AR(2) errors at forecast step i
*

set ee1 = 0.0
set ee2 = 0.0
set ee3 = 0.0
set ee4 = 0.0
set ee5 = 0.0
set ee6 = 0.0
set ee7 = 0.0
set ee8 = 0.0
set ee9 = 0.0
set ee10 = 0.0



set ea21 = 0.0
set ea22 = 0.0
set ea23 = 0.0
set ea24 = 0.0
set ea25 = 0.0
set ea26 = 0.0
set ea27 = 0.0
set ea28 = 0.0
set ea29 = 0.0
set ea210 = 0.0


*
*Compute MSE's and MAE's for CDR and calculate forecast errors
*for both CDR and AR(p) models
*
eval cdrsum11 = 0.0
eval cdrsum21 = 0.0
eval cdrsum31 = 0.0
eval cdrsum41 = 0.0
eval cdrsum51 = 0.0
eval cdrsum61 = 0.0
eval cdrsum71 = 0.0
eval cdrsum81 = 0.0
eval cdrsum91 = 0.0
eval cdrs101 = 0.0
eval cdrsum12 = 0.0
eval cdrsum22 = 0.0
eval cdrsum32 = 0.0
eval cdrsum42 = 0.0
eval cdrsum52 = 0.0
eval cdrsum62 = 0.0
eval cdrsum72 = 0.0
eval cdrsum82 = 0.0
eval cdrsum92 = 0.0
eval cdrs102 = 0.0


eval arsum11 = 0.0
eval arsum21 = 0.0
eval arsum31 = 0.0
eval arsum41 = 0.0
eval arsum51 = 0.0
eval arsum61 = 0.0
eval arsum71 = 0.0
eval arsum81 = 0.0
eval arsum91 = 0.0
eval ars101 = 0.0
eval arsum12 = 0.0
eval arsum22 = 0.0
eval arsum32 = 0.0
eval arsum42 = 0.0
eval arsum52 = 0.0
eval arsum62 = 0.0
eval arsum72 = 0.0
eval arsum82 = 0.0
eval arsum92 = 0.0
eval ars102 = 0.0





do t=ifor1,ifor2

   eval ea21(t)   = arf21(t) - ur(t)
   eval ee1(t)   = cdrf1(t) - ur(t)
   eval cdrsum11 = cdrsum11 + (ee1(t))**2
   eval cdrsum12 = cdrsum12 + abs(ee1(t))
   eval arsum11 = arsum11 + (ea21(t))**2
   eval arsum12 = arsum12 + abs(ea21(t))
   If (t < ifor2)
   {
      eval ea22(t)   = arf22(t)  - ur(t+1)
      eval ee2(t)   = cdrf2(t) - ur(t+1)
      eval cdrsum21 = cdrsum21 + (ee2(t))**2
      eval cdrsum22 = cdrsum22 + abs(ee2(t))
      eval arsum21 = arsum21 + (ea22(t))**2
      eval arsum22 = arsum22 + abs(ea22(t))
   }
   If (t < (ifor2-1))
   {
      eval ea23(t)   = arf23(t)  - ur(t+2)
      eval ee3(t)   = cdrf3(t) - ur(t+2)
      eval cdrsum31 = cdrsum31 + (ee3(t))**2
      eval cdrsum32 = cdrsum32 + abs(ee3(t))
      eval arsum31 = arsum31 + (ea23(t))**2
      eval arsum32 = arsum32 + abs(ea23(t))
   }
   If (t < (ifor2-2))
   {
      eval ea24(t)   = arf24(t)  - ur(t+3)
      eval ee4(t)   = cdrf4(t) - ur(t+3)
      eval cdrsum41 = cdrsum41 + (ee4(t))**2
      eval cdrsum42 = cdrsum42 + abs(ee4(t))
      eval arsum41 = arsum41 + (ea24(t))**2
      eval arsum42 = arsum42 + abs(ea24(t))
   }
   If (t < (ifor2-3))
   {
      eval ea25(t)   = arf25(t)  - ur(t+4)
      eval ee5(t)   = cdrf5(t) - ur(t+4)
      eval cdrsum51 = cdrsum51 + (ee5(t))**2
      eval cdrsum52 = cdrsum52 + abs(ee5(t))
      eval arsum51 = arsum51 + (ea25(t))**2
      eval arsum52 = arsum52 + abs(ea25(t))
   }
   If (t < (ifor2-4))
   {
      eval ea26(t)   = arf26(t)  - ur(t+5)
      eval ee6(t)   = cdrf6(t) - ur(t+5)
      eval cdrsum61 = cdrsum61 + (ee6(t))**2
      eval cdrsum62 = cdrsum62 + abs(ee6(t))
      eval arsum61 = arsum61 + (ea26(t))**2
      eval arsum62 = arsum62 + abs(ea26(t))
   }
   If (t < (ifor2-5))
   {
      eval ea27(t)   = arf27(t)  - ur(t+6)
      eval ee7(t)   = cdrf7(t) - ur(t+6)
      eval cdrsum71 = cdrsum71 + (ee7(t))**2
      eval cdrsum72 = cdrsum72 + abs(ee7(t))
      eval arsum71 = arsum71 + (ea27(t))**2
      eval arsum72 = arsum72 + abs(ea27(t))
   }
   If (t < (ifor2-6))
   {
      eval ea28(t)   = arf28(t)  - ur(t+7)
      eval ee8(t)   = cdrf8(t) - ur(t+7)
      eval cdrsum81 = cdrsum81 + (ee8(t))**2
      eval cdrsum82 = cdrsum82 + abs(ee8(t))
      eval arsum81 = arsum81 + (ea28(t))**2
      eval arsum82 = arsum82 + abs(ea28(t))
   }
   If (t < (ifor2-7))
   {
      eval ea29(t)   = arf29(t)  - ur(t+8)
      eval ee9(t)   = cdrf9(t) - ur(t+8)
      eval cdrsum91 = cdrsum91 + (ee9(t))**2
      eval cdrsum92 = cdrsum92 + abs(ee9(t))
      eval arsum91 = arsum91 + (ea29(t))**2
      eval arsum92 = arsum92 + abs(ea29(t))
   }
   If ( t < (ifor2-8))
   {
      eval ea210(t) = arf210(t)  - ur(t+9)
      eval ee10(t) = cdrf10(t) - ur(t+9)
      eval cdrs101 = cdrs101   + (ee10(t))**2
      eval cdrs102 = cdrs102   + abs(ee10(t))
      eval ars101 = ars101   + (ea210(t))**2
      eval ars102 = ars102   + abs(ea210(t))
   }
end do t

display(unit=copy) 'got forecast errors'

*
*Calculate and display CDR and AR(2) MSE's
*
display numf1
eval emse1 = (cdrsum11 / numf1)
eval emse2 = (cdrsum21 / (numf1-1))
eval emse3 = (cdrsum31 / (numf1-2))
eval emse4 = (cdrsum41 / (numf1-3))
eval emse5 = (cdrsum51 / (numf1-4))
eval emse6 = (cdrsum61 / (numf1-5))
eval emse7 = (cdrsum71 / (numf1-6))
eval emse8 = (cdrsum81 / (numf1-7))
eval emse9 = (cdrsum91 / (numf1-8))
eval emse10 = (cdrs101 / (numf1-9))


eval amse1 = (arsum11 / numf1)
eval amse2 = (arsum21 / (numf1-1))
eval amse3 = (arsum31 / (numf1-2))
eval amse4 = (arsum41 / (numf1-3))
eval amse5 = (arsum51 / (numf1-4))
eval amse6 = (arsum61 / (numf1-5))
eval amse7 = (arsum71 / (numf1-6))
eval amse8 = (arsum81 / (numf1-7))
eval amse9 = (arsum91 / (numf1-8))
eval amse10 = (ars101 / (numf1-9))


*
*
*CDR MSEs
*
display emse1 emse2 emse3 emse4 emse5
display emse6 emse7 emse8 emse9 emse10

*
*
*AR(2) MSEs
*
display amse1 amse2 amse3 amse4 amse5
display amse6 amse7 amse8 amse9 amse10

*
*Ratios of CDR / AR(2) MSEs
*
dis (emse1/amse1) (emse2/amse2) (emse3/amse3) (emse4/amse4) (emse5/amse5)
dis (emse6/amse6) (emse7/amse7) (emse8/amse8) (emse9/amse9) (emse10/amse10)

*
*Calculate and display CDR and AR(2) MAE's
*

display numf1
eval emae1 = (cdrsum12 / numf1)
eval emae2 = (cdrsum22 / (numf1-1))
eval emae3 = (cdrsum32 / (numf1-2))
eval emae4 = (cdrsum42 / (numf1-3))
eval emae5 = (cdrsum52 / (numf1-4))
eval emae6 = (cdrsum62 / (numf1-5))
eval emae7 = (cdrsum72 / (numf1-6))
eval emae8 = (cdrsum82 / (numf1-7))
eval emae9 = (cdrsum92 / (numf1-8))
eval emae10 = (cdrs102 / (numf1-9))


eval amae1 = (arsum12 / numf1)
eval amae2 = (arsum22 / (numf1-1))
eval amae3 = (arsum32 / (numf1-2))
eval amae4 = (arsum42 / (numf1-3))
eval amae5 = (arsum52 / (numf1-4))
eval amae6 = (arsum62 / (numf1-5))
eval amae7 = (arsum72 / (numf1-6))
eval amae8 = (arsum82 / (numf1-7))
eval amae9 = (arsum92 / (numf1-8))
eval amae10 = (ars102 / (numf1-9))


*
*CDR MAEs
*
display emae1 emae2 emae3 emae4 emae5
display emae6 emae7 emae8 emae9 emae10


*
*AR(2) MAEs
*
display amae1 amae2 amae3 amae4 amae5
display amae6 amae7 amae8 amae9 amae10


*
*Ratios of CDR / AR(2) MAEs
*
dis (emae1/amae1) (emae2/amae2) (emae3/amae3) (emae4/amae4) (emae5/amae5)
dis (emae6/amae6) (emae7/amae7) (emae8/amae8) (emae9/amae9) (emae10/amae10)



*
*
*Do Mizrach tests
*
source mizrach.src


*
*For AR(2) Model
*
@mizrach ee1 ea21 ifor1 ifor2 1
@mizrach ee2 ea22 ifor1 (ifor2-1) 2
@mizrach ee3 ea23 ifor1 (ifor2-2) 3
@mizrach ee4 ea24 ifor1 (ifor2-3) 4
@mizrach ee5 ea25 ifor1 (ifor2-4) 5
@mizrach ee6 ea26 ifor1 (ifor2-5) 6
@mizrach ee7 ea27 ifor1 (ifor2-6) 7
@mizrach ee8 ea28 ifor1 (ifor2-7) 8
@mizrach ee9 ea29 ifor1 (ifor2-8) 9
@mizrach ee10 ea210 ifor1 (ifor2-9) 10


*
*Test bias of forecasts
*

*
*For CDR forecasts
*
smpl ifor1 ifor2
linreg(robusterrors) ee1
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+1) ifor2
linreg(robusterrors,lags=1,damp=1.0) ee2
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+2) ifor2
linreg(robusterrors,lags=2,damp=1.0) ee3
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+3) ifor2
linreg(robusterrors,lags=3,damp=1.0) ee4
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+4) ifor2
linreg(robusterrors,lags=4,damp=1.0) ee5
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+5) ifor2
linreg(robusterrors,lags=5,damp=1.0) ee6
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+6) ifor2
linreg(robusterrors,lags=6,damp=1.0) ee7
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+7) ifor2
linreg(robusterrors,lags=7,damp=1.0) ee8
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+8) ifor2
linreg(robusterrors,lags=8,damp=1.0) ee9
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+9) ifor2
linreg(robusterrors,lags=9,damp=1.0) ee10
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

*
*For AR(2) forecasts
*
smpl ifor1 ifor2
linreg(robusterrors) ea21
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+1) ifor2
linreg(robusterrors,lags=1,damp=1.0) ea22
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+2) ifor2
linreg(robusterrors,lags=2,damp=1.0) ea23
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+3) ifor2
linreg(robusterrors,lags=3,damp=1.0) ea24
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+4) ifor2
linreg(robusterrors,lags=4,damp=1.0) ea25
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+5) ifor2
linreg(robusterrors,lags=5,damp=1.0) ea26
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+6) ifor2
linreg(robusterrors,lags=6,damp=1.0) ea27
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+7) ifor2
linreg(robusterrors,lags=7,damp=1.0) ea28
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+8) ifor2
linreg(robusterrors,lags=8,damp=1.0) ea29
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf

smpl (ifor1+9) ifor2
linreg(robusterrors,lags=9,damp=1.0) ea210
# constant
eval tstat = beta(1)/( sqrt(seesq)*sqrt(xx(1,1)) )
cdf ttest tstat ndf




end



